List investigations for payment
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v3/payments/{transactionId}/investigationsimport requests
url = "https://api.pgw-sandbox.finventi.com/v3/payments/{transactionId}/investigations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v3/payments/{transactionId}/investigations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"id": 123,
"messageId": "<string>",
"claimNonReceiptDetails": {
"caseId": "<string>",
"reminders": [
{
"id": 123,
"messageId": "<string>",
"receivedAt": "2023-11-07T05:31:56Z"
}
],
"additionalInfo": "<string>"
},
"delivery": {
"status": "<string>",
"statusReason": "<string>"
},
"referencedTransactionId": 123,
"resolution": {
"messageId": "<string>",
"rejectionReasonCode": "<string>",
"settlementDate": "2023-12-25"
},
"statusHistory": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"changeReason": "<string>"
}
],
"transactionDetails": {
"amount": 123,
"currencyCode": "<string>",
"endToEndId": "<string>",
"settlementDate": "2023-12-25",
"creditorBic": "<string>",
"creditorIban": "<string>",
"creditorName": "<string>",
"debtorBic": "<string>",
"debtorIban": "<string>",
"debtorName": "<string>",
"remittanceInfo": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Investigations (Preview)
List investigations for payment
Returns a paginated list of investigations for a specific payment.
GET
/
v3
/
payments
/
{transactionId}
/
investigations
List investigations for payment
This API is in preview and subject to change.
Path Parameters
Payment transaction ID
Query Parameters
A limit on the number of objects returned per page. The default is 10 items.
Required range:
1 <= x <= 100Cursor token for fetching the next page of results.
Cursor token for fetching the previous page of results.
Last modified on July 10, 2026
⌘I